<?php
function response($obj) {
	// header('Access-Control-Allow-Origin: *');
	header('Content-type: application/json');
	echo json_encode($obj);
}

function getFileName($loja) {
	return 'app_db/caixalivre4uc_' . $loja . '.json';
}

function getFileLock($file_handler) {
	$cnt = 0;
	// tentar obter lock do arquivo. Se já estiver lockado, espera até conseguir
	while (!$lock = flock($file_handler, LOCK_EX)) {
		sleep(1);
		if (++$cnt >= 10) {
			response(['error' => "Não conseguiu obter o lock do arquivo após 10 segundos."]);
			exit;
		}
	}
}