<?php
require 'functions.php';
// grava caixa livre

$loja = $_POST['store'];
$caixa = $_POST['cashier'];

if (!$loja || !$caixa) {
	response(['error' => 'Deve informar caixa e loja']);
	exit;
}

$fname = getFileName($loja);
$f = fopen($fname, "a+");
if (!$f) {
	response(['error' => 'Nao foi possível abrir o arquivo para registrar o caixa livre.' . $fname]);
	exit;
}

getFileLock($f);

// abre e lê o arquivo
$fjs = fgets($f);
if (empty($fjs)) {
	$js = [];
} else {
	$js = json_decode($fjs);
}

// inclui um novo caixa livre na lista
$js[] = ['cashier' => $caixa];
// grava os dados no arquivo novamente
ftruncate($f, 0);
fwrite($f, json_encode($js));

flock($f, LOCK_UN);

response(['ok' => '1']);

?>