<?php 
require 'functions.php';
// busca caixa livre
$loja = $_POST['store'];

if (!$loja) {
	response(['error' => 'É preciso informar a Loja!']);
	exit;
}

$fname = getFileName($loja);

$f = fopen($fname, "a+");
if (!$f) {
	response(['error' => 'Nao foi possível abrir o arquivo para registrar o caixa livre.' . $fname]);
	exit;
}

getFileLock($f);

// abre e lê o arquivo
$fjs = fgets($f);
if (empty($fjs)) {
	$js = [];
} else {
	$js = json_decode($fjs, true);
}

if (isset($js[0]['cashier'])) {
	$dados = array_shift($js);
	// grava os dados no arquivo novamente
	ftruncate($f, 0);
	fwrite($f, json_encode($js));
	flock($f, LOCK_UN);
	response($dados);
} else {
	flock($f, LOCK_UN);
	response(['empty']);
}

?>